SYSLOG-NG-CTL(1)

NAME
syslog-ng-ctl - Statistics dumper and verboseness, debug and trace mode tweaker for syslog-ng

SYNOPSIS
syslog-ng-ctl <command> [options..]

DESCRIPTION

The syslog-ng-ctl application is a utility that can be used to enable/disable various syslog-ng messages for troubleshooting purposes, or to dump a table of statistics about processed messages.

OPTIONS
--control=socket
-c socket

    Specify the socket to use to connect to syslog-ng. Only needed when using a non-standard location. On Debian systems, one usually does not have to use this option. Defaults to /var/lib/syslog-ng/syslog-ng.ctl.

COMMANDS

  Troubleshooting commands
All the troubleshooting commands (verbose, debug and trace) use the syslog-ng-ctl <command> [--set=on|off] format. When the --set option is not specified, the command will print the current value. All extra messages will appear either on syslog-ng's internal source, or on its stderr if it was started with either the --stderr or -e options.

verbose
    Toggle verbose messages, or print the current setting.

trace
    Toggle message tracing messages, or print the current setting. Tracing will print information about how each and every message is being processed.

debug
    Toggle debug messages, or print the current setting. Do note that this will result in very verbose logging!

  Statistics
The stats command can be used to dump a set of statistics about processed messages in a CSV-like format.

SEE ALSO
For the full documentation of syslog-ng, see The syslog-ng Administrator Guide, available from

    http://www.balabit.com/support/documentation/

AUTHOR

This manual page was written by Gergely Nagy <algernon@madhouse-project.org>.

COPYRIGHT

Copyright © 2011 Gergely Nagy <algernon@madhouse-project.org>. Published under the GNU General Public License version 3, or at your opinion, any later version as published by the FSF.